image: debian/stable
packages:
  - gcc
sources:
  - https://hg.sr.ht/~mrpapersonic/minori
tasks:
  - build: |
      curl -O darling.deb https://github.com/darlinghq/darling/releases/download/v0.1.20220704/darling_0.1.20220704.focal_amd64.deb
      sudo dpkg -i darling.deb
      sudo apt install --fix-broken
      cd minori
      mkdir build
      cd build
      darling shell '/bin/bash -c "$(curl -fsSL https://raw.githubusercontent.com/Homebrew/install/HEAD/install.sh)"'
      darling shell 'brew install qt5 cmake make curl clang'
      darling shell 'cmake .. -G "Unix Makefiles"'
      darling shell 'make'
